# Gl Accounts Gl Accounts ## Gets all of the gl accounts in the system. - [GET /glAccounts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/listglaccounts.md): This method will scan all gl accounts and and return them to the caller. ## Creates a new gl account record that does not already exist. - [POST /glAccounts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/createglaccount.md): This method will auto-generate an ID and create a new gl account. If an ID is specified for the gl account, an error will be thrown. ## Execute Batch Operations - [POST /glAccounts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a gl account from the system by its ID. - [DELETE /glAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/deleteglaccount.md): This method will delete a gl account with the specified ID. ## Returns a gl account from the system by its ID. - [GET /glAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/getglaccount.md): This method will look up a gl account by the specified ID and return it back. ## Partially updates a gl account with the specified ID. - [PATCH /glAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/patchglaccount.md): This method will patch an existing gl account with the specified ID, using the HTTP PATCH specification. ## Updates a gl account with the specified ID. - [PUT /glAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/updateglaccount.md): This method will update an existing gl account with the specified ID.